Bug 1674474 - Xorg crashes with SIGABRT with radeon driver
Summary: Xorg crashes with SIGABRT with radeon driver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-ati
Version: 7.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Jérôme Glisse
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-11 12:42 UTC by Divya
Modified: 2019-11-01 20:43 UTC (History)
8 users (show)

Fixed In Version: xorg-x11-drv-ati-19.0.1-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:42:44 UTC
Target Upstream Version:
ayadav: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2079 None None None 2019-08-06 12:43:10 UTC

Description Divya 2019-02-11 12:42:46 UTC
Description of problem:
After updating from RHEL-7.5 to RHEL-7.6, X crashes on every login with below backtrace: 

Core was generated by `/usr/bin/X :0 -background none -noreset -audit 4 -verbose -logverbose 7 -core -'.
Program terminated with signal 6, Aborted.
(gdb) bt
#0  0x00007efe660c2207 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:55
#1  0x00007efe660c38f8 in __GI_abort () at abort.c:90
#2  0x000055e0abe80bfa in OsAbort () at utils.c:1350
#3  0x000055e0abe875a7 in FatalError (f=f@entry=0x55e0abeb79d0 "Caught signal %d (%s). Server aborting\n") at log.c:1018
#4  0x000055e0abe7de69 in OsSigHandler (signo=6, sip=<optimized out>, unused=<optimized out>) at osinit.c:156
#5  <signal handler called>
#6  0x00007efe660c2207 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:55
#7  0x00007efe660c38f8 in __GI_abort () at abort.c:90
#8  0x00007efe660bb026 in __assert_fail_base (fmt=0x7efe66215ea0 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=assertion@entry=0x7efe60f62581 "key->initialized", 
    file=file@entry=0x7efe60f6256b "../include/privates.h", line=line@entry=121, function=function@entry=0x7efe60f62c20 <__PRETTY_FUNCTION__.9602> "dixGetPrivateAddr") at assert.c:92
#9  0x00007efe660bb0d2 in __GI___assert_fail (assertion=assertion@entry=0x7efe60f62581 "key->initialized", file=file@entry=0x7efe60f6256b "../include/privates.h", line=line@entry=121, 
    function=function@entry=0x7efe60f62c20 <__PRETTY_FUNCTION__.9602> "dixGetPrivateAddr") at assert.c:101
#10 0x00007efe60f50ac0 in dixGetPrivateAddr (key=<optimized out>, key=<optimized out>, privates=<optimized out>) at ../include/privates.h:121
#11 0x00007efe60f5b1fa in dixGetPrivateAddr (key=<optimized out>, key=<optimized out>, privates=<optimized out>) at fbgc.c:177
#12 dixLookupPrivate (key=<optimized out>, privates=<optimized out>) at ../include/privates.h:164
#13 fbValidateGC (pGC=pGC@entry=0x55e0ae497850, changes=changes@entry=8387583, pDrawable=pDrawable@entry=0x55e0ae695d10) at fbgc.c:115
#14 0x00007efe5b9cf805 in glamor_validate_gc (gc=0x55e0ae497850, changes=8387583, drawable=0x55e0ae695d10) at glamor_core.c:230
#15 0x000055e0abe01b54 in damageValidateGC (pGC=0x55e0ae497850, changes=<optimized out>, pDrawable=<optimized out>) at damage.c:385
#16 0x000055e0abd3906b in ValidateGC (pDraw=pDraw@entry=0x55e0ae695d10, pGC=pGC@entry=0x55e0ae497850) at gc.c:77
#17 0x00007efe62644930 in radeon_pixmap_clear (pixmap=0x55e0ae695d10) at radeon_bo_helper.c:342
#18 0x00007efe62641e8d in RADEONLeaveVT_KMS (pScrn=0x55e0adfa4570) at radeon_kms.c:2591
#19 0x000055e0abd64525 in AbortDDX (error=error@entry=EXIT_ERR_ABORT) at xf86Init.c:954
#20 0x000055e0abe86772 in AbortServer () at log.c:874
#21 0x000055e0abe875dd in FatalError (f=f@entry=0x55e0abeb79d0 "Caught signal %d (%s). Server aborting\n") at log.c:1015
#22 0x000055e0abe7de69 in OsSigHandler (signo=6, sip=<optimized out>, unused=<optimized out>) at osinit.c:156
#23 <signal handler called>
#24 0x00007efe660c2207 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:55
#25 0x00007efe660c38f8 in __GI_abort () at abort.c:90
#26 0x00007efe660bb026 in __assert_fail_base (fmt=0x7efe66215ea0 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=assertion@entry=0x7efe60f62581 "key->initialized", 
    file=file@entry=0x7efe60f6256b "../include/privates.h", line=line@entry=121, function=function@entry=0x7efe60f62c20 <__PRETTY_FUNCTION__.9602> "dixGetPrivateAddr") at assert.c:92
#27 0x00007efe660bb0d2 in __GI___assert_fail (assertion=assertion@entry=0x7efe60f62581 "key->initialized", file=file@entry=0x7efe60f6256b "../include/privates.h", line=line@entry=121, 
    function=function@entry=0x7efe60f62c20 <__PRETTY_FUNCTION__.9602> "dixGetPrivateAddr") at assert.c:101
#28 0x00007efe60f50ac0 in dixGetPrivateAddr (key=<optimized out>, key=<optimized out>, privates=<optimized out>) at ../include/privates.h:121
#29 0x00007efe60f5b1fa in dixGetPrivateAddr (key=<optimized out>, key=<optimized out>, privates=<optimized out>) at fbgc.c:177
#30 dixLookupPrivate (key=<optimized out>, privates=<optimized out>) at ../include/privates.h:164
#31 fbValidateGC (pGC=pGC@entry=0x55e0ae410250, changes=changes@entry=8387583, pDrawable=pDrawable@entry=0x55e0ae6789f0) at fbgc.c:115
#32 0x00007efe5b9cf805 in glamor_validate_gc (gc=0x55e0ae410250, changes=8387583, drawable=0x55e0ae6789f0) at glamor_core.c:230
#33 0x000055e0abe01b54 in damageValidateGC (pGC=0x55e0ae410250, changes=<optimized out>, pDrawable=<optimized out>) at damage.c:385
#34 0x000055e0abd3906b in ValidateGC (pDraw=pDraw@entry=0x55e0ae6789f0, pGC=pGC@entry=0x55e0ae410250) at gc.c:77
#35 0x00007efe62644930 in radeon_pixmap_clear (pixmap=0x55e0ae6789f0) at radeon_bo_helper.c:342
#36 0x00007efe62641e8d in RADEONLeaveVT_KMS (pScrn=0x55e0adfa4570) at radeon_kms.c:2591
#37 0x000055e0abd75274 in xf86XVLeaveVT (pScrn=0x55e0adfa4570) at xf86xv.c:1226
#38 0x000055e0abd91938 in xf86CrtcCloseScreen (screen=0x55e0adfa3f10) at xf86Crtc.c:779
#39 0x000055e0abdb0bf8 in CursorCloseScreen (pScreen=0x55e0adfa3f10) at cursor.c:205
#40 0x000055e0abd294c4 in dix_main (argc=18, argv=0x7fff396b00a8, envp=<optimized out>) at main.c:325
#41 0x00007efe660ae3d5 in __libc_start_main (main=0x55e0abd134a0 <main>, argc=18, argv=0x7fff396b00a8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff396b0098)
    at ../csu/libc-start.c:266
#42 0x000055e0abd134ce in _start ()


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.20.1-5.2.el7_6
xorg-x11-drv-ati-18.1.0-1.el7_6

How reproducible:
Always

Steps to Reproduce:
1. Login through the GUI console
2.
3.

Actual results:
X crashes

Expected results:
X should not crash and GUI should work as expected

Additional info:

Comment 21 errata-xmlrpc 2019-08-06 12:42:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2079


Note You need to log in before you can comment on or make changes to this bug.